/*
############################################################################
###################                                      ###################
###################      (C) ABB Automation Products     ###################
###################                                      ###################
###################               abbdeflb.h             ###################
###################                                      ###################
###################              define labels           ###################
###################                                      ###################
############################################################################

This software may not be used, either directly or by reference,
such that the software provides functionality to an end customer,
unless explicitly lisenced by ABB Automation Products GmbH.

############################################################################

Author:         ABB Automation Products GmbH
                37070 Goettingen
                Germany
                Fax: 0551/905720

****************************************************************************
                Revision:						0.0.0
                
Date:           10.March 2003

*/

/*
define display and edit precision
*/

#define DISPLAY_FLOAT_PRECISION_x_2 					\
				DISPLAY_FORMAT ".2f"
#define DISPLAY_FLOAT_PRECISION_8_4 					\
				DISPLAY_FORMAT "8.4f"
#define DISPLAY_FLOAT_PRECISION_8_3 					\
				DISPLAY_FORMAT "8.3f"
#define DISPLAY_FLOAT_PRECISION_8_1 					\
				DISPLAY_FORMAT "8.1f"
#define DISPLAY_FLOAT_PRECISION_6_2 					\
				DISPLAY_FORMAT "6.2f"
/*
#define DISPLAY_FLOAT_PRECISION_x_3 					\
				DISPLAY_FORMAT ".3f"
#define DISPLAY_FLOAT_PRECISION_8_2 					\
				DISPLAY_FORMAT "8.2f"
				
#define EDIT_FLOAT_PRECISION_8_2 							\
				EDIT_FORMAT "8.2f"
*/
#define EDIT_FLOAT_PRECISION_x_0 							\
				EDIT_FORMAT ".0f"
#define EDIT_FLOAT_PRECISION_8_4 							\
				EDIT_FORMAT "8.4f"
#define EDIT_FLOAT_PRECISION_8_3 							\
				EDIT_FORMAT "8.3f"
#define EDIT_FLOAT_PRECISION_8_1 							\
				EDIT_FORMAT "8.1f"
#define EDIT_FLOAT_PRECISION_7_4 							\
				EDIT_FORMAT "7.4f"
#define EDIT_FLOAT_PRECISION_6_2 							\
				EDIT_FORMAT "6.2f"
/*
#define EDIT_FLOAT_PRECISION_6_3 							\
				EDIT_FORMAT "6.3f"
*/


/*
define labels
*/


#define		label_ucSprache               			\
        "|en|Language"												\
  			"|de|Sprache"
#define		label_ucNennweite             			\
        "|en|Metersize"												\
  			"|de|Mennweite"
#define		label_uiEinheitQv             			\
        "|en|Unit Qmax"												\
  			"|de|Einheit Qmax"
#define		label_uiEinheitZv             			\
        "|en|Unit totalizer"									\
  			"|de|Einheit Zhler"
#define		label_ucProgEinheitDichte		    		\
        "|en|Prog. Unit"											\
  			"|de|Prog. Einheit"
#define		label_ucSchaltausgang         			\
        "|en|Contact output"									\
  			"|de|Schaltausgang"
#define		label_ucSchalteingang         			\
        "|en|Contact input"										\
  			"|de|Schalteingang"
#define		label_ucIoutAlarm             			\
        "|en|Iout at Alarm"										\
  			"|de|Iout bei Alarm"
#define		label_ucDlrEinAus             			\
        "|en|Detector e.pipe"									\
  			"|de|Detektor l.Rohr"
#define		label_ucAlarmlRohr            			\
        "|en|Alarm e.pipe"										\
  			"|de|Alarm l.Rohr"
#define		label_ucIoutlRohr             			\
        "|en|Iout at e.pipe"									\
  			"|de|IOut bei l.Rohr"
#define		label_ucSimulationEin         			\
        "|en|Simulation Mode"									\
  			"|de|Simulation Mode"
#define		label_ucTestModeEin           			\
        "|en|Test Mode"												\
  			"|de|Test Mode"
#define		label_ucAnzeigeZeile1         			\
        "|en|1st line"												\
  			"|de|Anzeige 1.Zeile"
#define		label_ucAnzeigeZeile2         			\
        "|en|2nd line"												\
  			"|de|Anzeige 2.Zeile"
#define		label_ucAnzeigeZeile3         			\
        "|en|3rd line"												\
  			"|de|Anzeige 3.Zeile"
#define		label_ucAnzeigeZeile4         			\
        "|en|4th line"												\
  			"|de|Anzeige 4.Zeile"
#define		label_ucBetriebsart			           	\
        "|en|Operating mode"									\
  			"|de|Betriebsart"
#define		label_ucFliessrichtung        			\
        "|en|Flow indication"									\
  			"|de|Fliessrichtung"
#define		label_ucRichtungsanzeige      			\
        "|en|Flow direction"									\
  			"|de|Richtungsanzeige"
#define		label_ucAufnehmerType         			\
        "|en|Type of Primary"									\
  			"|de|Aufnehmertyp"
#define		label_ucAufnehmerTyp          			\
        "Frequency Primary"
#define		label_HartPollingAddress      			\
        "Poll.addr."
#define		label_ucAnzeigeModus          			\
        "|en|Display mode"										\
  			"|de|Anzeigemodus"
#define		label_ucAnzeigeKontrast       			\
        "|en|Contrast"												\
  			"|de|Kontrast"
#define		label_ucKommunikation 			        \
        "|en|Communication"										\
  			"|de|Kommunikation"
#define		label_ucTreiber               			\
        "Driver"
#define		label_ucBestellVariante       			\
        "|en|Communication"										\
  			"|de|Kommunikation"
#define		label_ucNetzfrequenz          			\
        "|en|Line frequency"									\
  			"|de|Netzfrequenz"
#define		label_ucStartUpKommuService   			\
        "|en|Startup Commu. "									\
  			"|de|Anstart Kom. Art"
#define		label_ucTestImpulsausgangEin  			\
        "|en|Startup Commu. "									\
  			"|de|Anstart Kom. Art"
#define		label_ucIoutArt               			\
        "|en|Current output"									\
  			"|de|Stromausgang"
#define		label_ucKommuServiceStecker   			\
        "|en|Com. Type TTL"										\
  			"|de|Kom. Art TTL "
#define		label_ucImpulsZustand     			    \
        "|en|Pulse (act/pas)"									\
  			"|de|Impuls (akt/pas)"
#define		label_ucAktuellVariante       			\
        "|en|Actu. Variant"										\
  			"|de|Aktu. Variante"
#define		label_ucSchalteingangTest     			\
        "|en|Contact input"										\
  			"|de|Schalteingang"
#define		label_ucSchaltausgangTest     			\
        "|en|Contact output"									\
  			"|de|Schaltausgang"
#define		label_ucDlrArt_LNS            			\
        "|en|EPD Mode"												\
  			"|de|DLR Mode"
#define		label_ucEigenerregt    							\
        "|en|self-excitation??"								\
  			"|de|Eigenerregt"

#define 	blnk              						  ""
#define		label_uiGeraeteNummer					  		\
	      "|en|Instrument No."									\
				"|de|Gerte Nr."
#define		label_uiServiceKode						  		\
	      "|en|?????????????????"								\
				"|de|?????????????????"
#define		label_uiNetzAusfallZaehler		  		\
	     	"|en|Mains interrupt"									\
				"|de|Netzausfall"
#define		label_uiTreiberSteuerungDac		  		\
	      "|en|DAC Amp."												\
				"|de|DAC Amp."
#define		label_uiMinDacAmplitude				  		\
	      "|en|Min DAC Amp."										\
				"|de|Min DAC Amp."
#define		label_uiMaxDacAmplitude				  		\
	      "|en|Max DAC Amp."										\
				"|de|Max DAC Amp."
#define		label_ucStatus								  		\
	      "|en|Status"													\
				"|de|Status"
#define		label_uiDspReset							  		\
	      "|en|DSP Reset"												\
				"|de|DSP Reset"
#define		label_uiGeraeteNummer					  		\
	      "|en|Instrument No."									\
				"|de|Gerte Nr."
#define		label_PruefstandNr						  		\
	      "|en|Testrig"													\
				"|de|Testrig"
#define		label_ProgschutzKode					  		\
	      "|en|Pg.prot.code"										\
				"|de|P.Schutz-Kode"
#define		label_siZaehlerUeberlaufD			  		\
	      "|en|Overflow D"											\
				"|de|berlauf D"
                                          
#define		label_uiUeberlaufZaehlerV       		\
	      "|en|Overflow F"											\
				"|de|berlauf V"
#define		label_uiUeberlaufZaehlerR       		\
	      "|en|Overflow R"											\
				"|de|berlauf R"
#define		label_uiNetzAusfallZaehler      		\
	      "|en|Mains interrupt"									\
				"|de|Netzausfall"
                                          
#define		label_uiDCOffsetSchaltSchw      		\
	      "|en|?????????"												\
				"|de|???????????"
#define		label_uiDCOffsetSchaltSchwDyn   		\
	      "|en|???????????????"									\
				"|de|????????????????"
                                          
#define		label_fQmaxDN_ls                		\
	      "|en|Cal-fact 10m/s"									\
				"|de|Qmax DN"
#define		label_fQmax                     		\
	      "|en|Qmax"														\
				"|de|Qmax"
#define		label_fImpulswertigkeitVolumen  		\
	      "|en|Pulse factor"										\
				"|de|Impulswertigkeit"
#define		label_fImpulsbreite_ms				  		\
	      "|en|Pulse width"											\
				"|de|Impulsbreite"
#define		label_fSchleichmenge            		\
	      "|en|Low flow cut off"								\
				"|de|Schleichmenge"
#define		label_fDaempfung                		\
	      "|en|Damping"													\
				"|de|Dmpfung"
#define		label_fDichte                   		\
	      "|en|Density"													\
				"|de|Dichte"
#define		label_fAnlD_SysNullQ            		\
	      "|en|System zero"											\
				"|de|Systemnullpunkt"
#define		label_fEinheitenfaktor          		\
	      "|en|Unit factor"											\
				"|de|Einheitenfaktor"
#define		label_fFlaecheVollesRohr        		\
	      "|en|Adj. full pipe"									\
				"|de|Abgl. DLR voll"
#define		label_fZaehlerV                 		\
	      "|en|Totalizer >F"										\
				"|de|Zhler >V"
#define		label_fZaehlerR                 		\
	      "|en|Totalizer <R"										\
				"|de|Zhler <R"
#define		label_fPriD_ZeroQ               		\
	      "|en|Zero Adjust"											\
				"|de|Zero Adjust"
#define		label_fPriD_SpanneQ             		\
	      "|en|Span Adjust"											\
				"|de|Span Adjust"
#define		label_fPriD_PhaseQ              		\
	      "|en|Phase"														\
				"|de|Phase"
#define		label_fIout4mAUK1               		\
	      "|en|Adjust Iout 4mA"									\
				"|de|Adjust Iout 4mA"
#define		label_fIout20mAUK1              		\
	      "|en|Adjust Iout 20mA"								\
				"|de|Adjust Iout 20mA"
#define		label_fGD_KanalQ50Hz            		\
	      "|en|Channel"													\
				"|de|Channel"
#define		label_fGD_ZeroQ50Hz             		\
	      "|en|Zero Adjust"											\
				"|de|Zero Adjust"
#define		label_fGD_SpanneVQ50Hz          		\
	      "|en|Span Adjust ->V"									\
				"|de|Span Adjust ->V"
#define		label_fGD_SpanneRQ50Hz          		\
	      "|en|Span Adjust <-R"									\
				"|de|Span Adjust <-R"
#define		label_fGD_KanalQ60Hz            		\
	      "|en|Channel Adjust"									\
				"|de|Channel Adjust"
#define		label_fGD_ZeroQ60Hz             		\
	      "|en|Zero Adjust"											\
				"|de|Zero Adjust"
#define		label_fGD_SpanneVQ60Hz          		\
	      "|en|Span Adjust ->V"									\
				"|de|Span Adjust ->V"
#define		label_fGD_SpanneRQ60Hz          		\
	      "|en|Span Adjust <-R"									\
				"|de|Span Adjust <-R"
#define		label_fGD_KanalQ70Hz            		\
	      "|en|Channel Adjust"									\
				"|de|Channel Adjust"
#define		label_fGD_ZeroQ70Hz             		\
	      "|en|Zero Adjust"											\
				"|de|Zero Adjust"
#define		label_fGD_SpanneVQ70Hz          		\
	      "|en|Span Adjust ->V"									\
				"|de|Span Adjust ->V"
#define		label_fGD_SpanneRQ70Hz          		\
	      "|en|Span Adjust <-R"									\
				"|de|Span Adjust <-R"
#define		label_fFlaecheVollesRohr        		\
	      "|en|Adj. full pipe"									\
				"|de|Abgl. DLR voll"
#define		label_fLeerRohrFaktor           		\
	      "|en|Threshold"												\
				"|de|Schaltschwelle"
#define		label_fILowAlarm                		\
	      "|en|Iout Low Alarm"									\
				"|de|Iout Low Alarm"
#define		label_fIHighAlarm               		\
	      "|en|Iout High Alarm"									\
				"|de|Iout High Alarm"
#define		label_fZaehlerD                 		\
	      "|en|ToD"															\
				"|de|Z D"
#define		label_fSimulationsWert          		\
	      "|en|Simulation Value"								\
				"|de|Simlationswert"
#define		label_SpuleDCStrom          	  		\
	      "|en|???????????"											\
				"|de|???????????"
#define		label_fTreiberRegelungRefSpg    		\
	      "|en|Referencevoltage"								\
				"|de|Referenzspannung"
#define		label_fTreiberRegelungDiffV     		\
	      "|en|Delta Amp."											\
				"|de|Delta Amp."
#define		label_fMinAlarm                 		\
	      "|en|Min. Alarm"											\
				"|de|Min. Alarm"
#define		label_fMaxAlarm                 		\
	      "|en|Max. Alarm"											\
				"|de|Max. Alarm"
#define		label_fReferenzspannung         		\
	      "|en|??????????????"									\
				"|de|?????????????"
#define		label_fDataOutputCycle          		\
	      "|en|Output Cycle"										\
				"|de|Output Cycle"
#define		label_fFunkTestAusgabeImpulse   		\
	      "|en|?????????????????"								\
				"|de|?????????????????"
#define		label_fQ10MS                    		\
	      "|en|????????????"										\
				"|de|?????????????"
#define		label_fQmaxImpuls               		\
	      "|en|Range - Pulse"										\
				"|de|Qmax-Impulse"
#define		label_fLeerRohrFaktorN          		\
	      "|en|Adj. empty pipe"									\
				"|de|Abgl. DLR leer"
#define		label_fLeerRohrFaktorS          		\
	      "|en|Threshold"												\
				"|de|Schaltschwelle"
#define		label_uiStoerSpgsResetOn        		\
	      "|en|Threshold On"										\
				"|de|Threshold On"
#define		label_uiStoerSpgsResetOff       		\
	      "|en|Threshold Off"										\
				"|de|Threshold Off"
#define		label_method_reset_config_changed_flag			\
       "|en|Reset Conf.changed"												\
       "|de|Aender.flag ruecks"

#define		label_strAufnehmerTagNr		      		\
	      "|en|Primary Tag"											\
				"|de|Aufnehmer Tag"
#define		label_strMessumformTagNr		    		\
	      "|en|Converter Tag"										\
				"|de|Messumform Tag"
#define		label_version		      							\
	      "|en|Version"													\
				"|de|Version"
#define		label_PrueferNr	      							\
	      "|en|Tester"													\
				"|de|Pruefer"
#define		label_ResetFehlerregister						\
	      "|en|Reset Error reg"									\
				"|de|Reset Fehler reg"
#define		label_ZaehlerReset									\
	      "|en|Reset Totalizer"									\
				"|de|Zhler lschen"

#define		label_method_set_totalizer_forward	\
	      "|en|Set Totl.forward"								\
				"|de|Zaehl.Vorl. setzen"
#define		label_method_set_totalizer_reverse	\
	      "|en|Set Totl.reverse"								\
				"|de|Zaehl.Rueckl.setz."
#define		label_method_set_totalizer_diff			\
	      "|en|Set Totl.diff."									\
				"|de|Diff.Zaehl.setzen"

#define		label_method_reset_totalizer				\
	      "|en|Reset Totalizer"		   						\
				"|de|Zaehler loeschen"
#define		label_method_reset_errorregister		\
	      "|en|Reset Error regist"		 					\
				"|de|Reset Fehlerregist"

#define		label_strEinheitenname							\
	      "|en|Units name"		 									\
				"|de|Einheitenname"
/*
#define		label_fGD_KanalQ50Hz								\
	      "|en|Channel Adjust"									\
				"|de|Channel Adjust"
#define		label_fGD_ZeroQ50Hz									\
	      "|en|Zero Adjust"											\
				"|de|Zero Adjust"
#define		label_fGD_SpanneVQ50Hz							\
	      "|en|Span Adjust >V"									\
				"|de|Span Adjust >V"
#define		label_fGD_SpanneRQ50Hz							\
	      "|en|Span Adjust <R"									\
				"|de|Span Adjust <R"
#define		label_fGD_KanalQ60Hz								\
	      "|en|Channel Adjust"									\
				"|de|Channel Adjust"
#define		label_fGD_ZeroQ60Hz									\
	      "|en|Zero Adjust"											\
				"|de|Zero Adjust"
#define		label_fGD_SpanneVQ60Hz							\
	      "|en|Span Adjust >V"									\
				"|de|Span Adjust >V"
#define		label_fGD_SpanneRQ60Hz							\
	      "|en|Span Adjust <R"									\
				"|de|Span Adjust <R"
#define		label_fGD_KanalQ70Hz								\
	      "|en|Channel Adjust"									\
				"|de|Channel Adjust"
#define		label_fGD_ZeroQ70Hz									\
	      "|en|Zero Adjust"											\
				"|de|Zero Adjust"
#define		label_fGD_SpanneVQ70Hz							\
	      "|en|Span Adjust >V"									\
				"|de|Span Adjust >V"
#define		label_fGD_SpanneRQ70Hz							\
	      "|en|Span Adjust <R"									\
				"|de|Span Adjust <R"
#define		label_fPriD_PhaseQ									\
	      "|en|Phase Adjust"										\
				"|de|Phase Adjust"
#define		label_fPriD_ZeroQ										\
	      "|en|Zero Adjust"											\
				"|de|Zero Adjust"
#define		label_fPriD_SpanneQ									\
	      "|en|Span Adjust"											\
				"|de|Span Adjust"
#define		label_fAnlD_SysNullQ								\
	      "|en|System zero"											\
				"|de|Systemnullpunkt"
#define		label_fLeerRohrFaktorN							\
	      "|en|Adj. empty pipe"									\
				"|de|Abgl. DLR leer"
#define		label_fLeerRohrFaktorS							\
	      "|en|Adj. full pipe"									\
				"|de|Abgl. DLR voll"
*/
#define		label_f50sMittelwert								\
	      "|en|50s Average"											\
				"|de|50s Mittelwert"
#define		label_Kalibrierdatum								\
	      "|en|Calib.Date"											\
				"|de|Kalibrierdatum"
#define		label_aucOrderNumber								\
	      "|en|Order-Number"										\
				"|de|Order-Number"
#define		label_method_ProgschutzKode_change	\
	      "|en|PS-Code"													\
				"|de|PS-Kode"
#define		label_method_Test_Schaltausgang			\
	      "|en|Test Contact outp."							\
				"|de|Test Schaltausg."
#define		label_method_Test_Schalteingang			\
	      "|en|Test Contact input"							\
				"|de|Test Schalteingang"

#define		label_method_Test_Memory										\
	      "|en|Test Memory"															\
				"|de|Test Memory"
#define		label_method_Test_Impulsausgang							\
	      "|en|Test Pulse Output"												\
				"|de|Impulsausgangstest"
#define		label_method_return_to_no_test_pulse_output	\
	      "|en|Abort Test Pulse Output"									\
				"|de|Abbruch Impulsausgangstest"
#define		label_method_Test_QSimulation								\
	      "|en|Test QSimulation"												\
				"|de|QSimulationstest"
#define		label_method_return_to_no_test_QSimulation	\
	      "|en|Abort Test QSimulation"									\
				"|de|Abbruch QSimulationstest"

#define		label_method_adjust_edp_full_pipe						\
	      "|en|Adj.EPD full pipe"												\
				"|de|Abgl.DLR voll.Rohr"
#define		label_method_adjust_edp_empty_pipe					\
	      "|en|Adj.EPD empty pipe"											\
				"|de|Abgl.DLR leer.Rohr"
#define		label_menu_operating_config									\
	      "|en|Operating config."												\
				"|de|Betriebskonfigur."
#define		label_menu_status														\
	      "|en|Diagnosis"																\
				"|de|Diagnose"
#define		label_menu_diag_errors											\
	      "|en|Errors"																	\
				"|de|Fehler"
#define		label_menu_diag_errors_memory								\
	      "|en|Error memory"														\
				"|de|Fehler Speicher"
#define		label_menu_diag_warnings										\
	      "|en|Warnings"																\
				"|de|Warnungen"
#define		label_menu_diag_status											\
	      "|en|Status"																	\
				"|de|Status"
#define		label_menu_device_info											\
	      "|en|Device Info"															\
				"|de|Gerte Info"
#define		label_menu_operating												\
	      "|en|Operating"																\
				"|de|Betriebsparameter"
#define		label_menu_totalizer												\
	      "|en|Totalizer"																\
				"|de|Zaehler"
#define		label_menu_units														\
	      "|en|Units"																		\
				"|de|Einheiten"
#define		label_menu_anzeige													\
	      "|en|Display mode"														\
				"|de|Anzeigemodus"
#define		label_menu_alarme														\
	      "|en|Alarms"																	\
				"|de|Alarme"
#define		label_menu_primary													\
	      "|en|Primary"																	\
				"|de|Durchflusssensor"
#define		label_menu_converter												\
	      "|en|Converter"																\
				"|de|Umformer"
#define		label_menu_functiontest											\
	      "|en|Functiontest"														\
				"|de|Functionstest"
#define		label_method_edit_fImpulswertigkeitVolumen	\
	      "|en|Pulse Factor"														\
				"|de|Impulsfaktor"
#define		label_method_edit_fImpulsbreite_ms					\
	      "|en|Pulse Width"															\
				"|de|Impulsbreite"

#define		label_menu_SysNull													\
	      "|en|System zero"															\
				"|de|Systemnullpunkt"
#define		label_method_auto_abgl_SysNull							\
	      "|en|Auto.adj.Sys.zero"												\
				"|de|Auto.Abgl.Sys.Null"
/*
	      "|en|123456789012345678"											\
				"|de|123456789012345678"
*/
#define		label_upload_variables											\
	      "|en|upload variables"												\
				"|de|Upload Variablen"
 