/*
############################################################################
###################                                      ###################
###################          ABB Automation Products     ###################
###################                                      ###################
###################               abbdeftb.h             ###################
###################                                      ###################
###################    define tables for DD variables    ###################
###################                                      ###################
############################################################################

This software may not be used, either directly or by reference,
such that the software provides functionality to an end customer,
unless explicitly lisenced by ABB Automation Products GmbH.

############################################################################

Author:         ABB Automation Products GmbH
                37070 Goettingen
                Germany
                Fax: 0551/905720

****************************************************************************
                Revision:						0.0.0
                
Date:           10.March 2003

****************************************************************************

                Revision:						0.0.01
                
Date:           10.August 2004																		AB

changes:
				Fliessrichtung							corrected 
				ArtSchalteingang						corrected 
				
****************************************************************************

                Revision:						0.0.02
                
Date:           10.September 2004																	AB

changes:
				deleted not used items

****************************************************************************
				
*/


#define			EinAus																		\
     					{   0,  "|en|Off"												\
     									"|de|AUS"  											\
     									},															\
    					{   1,  "|en|On"												\
    									"|de|EIN"												\
    									}

#define			Sprache																		\
     					{   0,  "|en|German"										\
     									"|de|Deutsch"										\
     									},															\
    					{   1,  "|en|English"										\
    									"|de|Englisch"									\
    									},															\
     					{   2,  "|en|French"										\
     									"|de|Franzsisch"								\
     									},															\
    					{   3,  "|en|Finnish"										\
    									"|de|Finnisch"									\
    									},															\
     					{   4,  "|en|Spain"											\
     									"|de|Spanisch"									\
     									},															\
    					{   5,  "|en|Italian"										\
    									"|de|Italienisch"   						\
    									},															\
     					{   6,  "|en|Dutch"											\
     									"|de|Hollndisch" 							\
     									},															\
    					{   7,  "|en|Danish"										\
    									"|de|Dnisch"   								\
    									},															\
     					{   8,  "|en|Swedish"										\
     									"|de|Schwedisch" 								\
     									}
							
							
#define			Nennweite																	\
				IF (ucAufnehmerTyp == 0) /* neuer Aufnehmer */\
				{																							\
     					{  43,  "1 mm    1/25 in"			},				\
							{	 44,	"1,5 mm  1/17 in"			},				\
							{	 45,	"2 mm    1/12 in"			},				\
							{		0,	"3 mm    1/10 in"			},				\
							{		1,	"4 mm    5/32 in"			},				\
							{		2,	"6 mm     1/4 in"			},				\
							{		3,	"8 mm    5/16 in"			},				\
							{		4,	"10 mm    3/8 in"			},				\
							{		5,	"15 mm    1/2 in"			},				\
							{		6,	"20 mm    3/4 in"			},				\
							{		7,	"25 mm      1 in"			},				\
							{		8,	"32 mm  1-1/4 in"			},				\
							{		9,	"40 mm  1-1/2 in"			},				\
							{	 10,	"50 mm      2 in"			},				\
							{	 11,	"65 mm  2-1/2 in"			},				\
							{	 12,	"80 mm      3 in"			},				\
							{	 13,	"100 mm     4 in"			},				\
							{	 14,	"125 mm     5 in"			},				\
							{	 15,	"150 mm     6 in"			},				\
							{	 16,	"200 mm     8 in"			},				\
							{	 17,	"250 mm    10 in"			},				\
							{	 18,	"300 mm    12 in"			},				\
							{	 19,	"350 mm    14 in"			},				\
							{	 20,	"400 mm    16 in"			},				\
							{	 21,	"450 mm    18 in"			},				\
							{	 22,	"500 mm    20 in"			},				\
							{	 23,	"600 mm    24 in"			},				\
							{	 24,	"700 mm    28 in"			},				\
							{	 25,	"750 mm    30 in"			},				\
							{	 26,	"800 mm    32 in"			},				\
							{	 27,	"900 mm    36 in"			},				\
							{	 28,	"1000 mm   40 in"			}					\
				}																							\
				ELSE																					\
				{	/* alte Aufnehm. => keine Nennweite 450 */	\
     					{  43,  "1 mm    1/25 in"			},				\
							{	 44,	"1,5 mm  1/17 in"			},				\
							{	 45,	"2 mm    1/12 in"			},				\
							{		0,	"3 mm    1/10 in"			},				\
							{		1,	"4 mm    5/32 in"			},				\
							{		2,	"6 mm     1/4 in"			},				\
							{		3,	"8 mm    5/16 in"			},				\
							{		4,	"10 mm    3/8 in"			},				\
							{		5,	"15 mm    1/2 in"			},				\
							{		6,	"20 mm    3/4 in"			},				\
							{		7,	"25 mm      1 in"			},				\
							{		8,	"32 mm  1-1/4 in"			},				\
							{		9,	"40 mm  1-1/2 in"			},				\
							{	 10,	"50 mm      2 in"			},				\
							{	 11,	"65 mm  2-1/2 in"			},				\
							{	 12,	"80 mm      3 in"			},				\
							{	 13,	"100 mm     4 in"			},				\
							{	 14,	"125 mm     5 in"			},				\
							{	 15,	"150 mm     6 in"			},				\
							{	 16,	"200 mm     8 in"			},				\
							{	 17,	"250 mm    10 in"			},				\
							{	 18,	"300 mm    12 in"			},				\
							{	 19,	"350 mm    14 in"			},				\
							{	 20,	"400 mm    16 in"			},				\
							{	 22,	"500 mm    20 in"			},				\
							{	 23,	"600 mm    24 in"			},				\
							{	 24,	"700 mm    28 in"			},				\
							{	 25,	"750 mm    30 in"			},				\
							{	 26,	"800 mm    32 in"			},				\
							{	 27,	"900 mm    36 in"			},				\
							{	 28,	"1000 mm   40 in"			}					\
				}

#define			Betriebsart																\
     					{   0,  "|en|Standard"									\
     									"|de|Normal" 										\
     									},															\
    					{   1,  "|en|Piston Pump"								\
    									"|de|Kolbenpumpe"  							\
    									},															\
     					{   2,  "|en|Fast"											\
     									"|de|Schnell" 									\
     									}

#define			AnzeigeModus															\
     					{   0,  "|en|1 big, 1 small"						\
     									"|de|1 gro, 1 klein" 					\
     									},															\
     					{   1,  "|en|4 small"										\
     									"|de|4 klein" 									\
     									}

#define			AnzeigeZeilex															\
				IF (ucAnzeigeModus != 0)											\
				{																							\
     					{   0,  "|en|Q [percent]"								\
     									"|de|Q [Prozent]" 							\
     									},															\
     					{   1,  "|en|Q [unit]"									\
     									"|de|Q [Einheit]" 							\
     									},															\
     					{   2,  "|en|Iout [mA]"									\
     									"|de|Iout [mA]"	 								\
     									},															\
     					{   3,  "|en|Q [m/s]"										\
     									"|de|Q [m/s]"							 			\
     									},															\
     					{   4,  "|en|Q Bargraph"								\
     									"|de|Q Bargraph"								\
     									},															\
     					{   5,  "|en|Totalizer"									\
     									"|de|Zhler"										\
     									},															\
     					{   6,  "|en|Totalizer >F"							\
     									"|de|Zhler >V"									\
     									},															\
     					{   7,  "|en|Totalizer <R"							\
     									"|de|Zhler <R"									\
     									},															\
     					{   8,  "|en|Totalizer Diff."						\
     									"|de|Zhler Diff."							\
     									},															\
     					{   9,  "|en|Tag number"								\
     									"|de|Kommunikat.Tag"						\
     									},															\
     					{  10,  "|en|Empty pipe"								\
     									"|de|Detektor l.Rohr"						\
     									},															\
     					{  11,  "|en|Blanks"										\
     									"|de|Leerzeile"									\
     									}																\
							/*     																	\
     									mit Servicekode									\
     									===============									\
     					{  12,  "|en|Signal"										\
     									"|de|Signal"	 									\
     									},															\
     					{  13,  "|en|Reference"									\
     									"|de|Referenz"					 				\
     									},															\
     					{  14,  "|en|Min-Max-Signal"						\
     									"|de|Min-Max-Signal"						\
     									},															\
     					{  15,  "|en|Min-Max-Ref"								\
     									"|de|Min-Max-Ref"								\
     									},															\
     					{  16,  "|en|Min-Max-SigFilt"						\
     									"|de|Min-Max-SigFilt"						\
     									},															\
     					{  17,  "|en|Min-Max-RefFilt"						\
     									"|de|Min-Max-RefFilt"						\
     									},															\
     					{  18,  "|en|DC offset"									\
     									"|de|DC offset"									\
     									},															\
     					{  19,  "|en|Phase"											\
     									"|de|Phase"											\
     									},															\
     					{  20,  "|en|DEP Electrode 1"						\
     									"|de|DEP Puls E1"								\
     									},															\
     					{  21,  "|en|DEP Electrode 2"						\
     									"|de|DEP Puls E2"								\
     									},															\
     					{  22,  "|en|DC-Reset"									\
     									"|de|DC-Reset"									\
     									},															\
     					{  23,  "|en|DAC Amp."									\
     									"|de|DAC Amp."					 				\
     									},															\
     					{  24,  "|en|Fingerprint 1"							\
     									"|de|Fingerprint 1"							\		
     									},															\
     					{  25,  "|en|Fingerprint 2"							\
     									"|de|Fingerprint 2"							\
     									},															\
     					{  26,  "|en|Fingerprint 3"							\
     									"|de|Fingerprint 3"							\
     									},															\
     					{  27,  "|en|Fingerprint 4"							\
     									"|de|Fingerprint 4"							\
     									},															\
     					{  28,  "|en|Status Fingerpr."					\
     									"|de|Status Fingerpr."					\
     									}																\
*/																										\
     		}																							\
				ELSE																					\
				{																							\
     					{   0,  "|en|Q [percent]"								\
     									"|de|Q [Prozent]" 							\
     									},															\
     					{   1,  "|en|Q [unit]"									\
     									"|de|Q [Einheit]" 							\
     									},															\
     					{   2,  "|en|Iout [mA]"									\
     									"|de|Iout [mA]"	 								\
     									},															\
     					{   3,  "|en|Q [m/s]"										\
     									"|de|Q [m/s]"							 			\
     									},															\
     					{   5,  "|en|Totalizer"									\
     									"|de|Zhler"										\
     									},															\
     					{   6,  "|en|Totalizer >F"							\
     									"|de|Zhler >V"									\
     									},															\
     					{   7,  "|en|Totalizer <R"							\
     									"|de|Zhler <R"									\
     									},															\
     					{   8,  "|en|Totalizer Diff."						\
     									"|de|Zhler Diff."							\
     									},															\
     					{   9,  "|en|Tag number"								\
     									"|de|Kommunikat.Tag"						\
     									},															\
     					{  10,  "|en|Empty pipe"								\
     									"|de|Detektor l.Rohr"						\
     									},															\
     					{  11,  "|en|Blanks"										\
     									"|de|Leerzeile"									\
     									}																\
     		}

							
#define			EinheitQv       																		\
          { 245,  "|en|ml/s"																		\
          				"|de|ml/s",                           				\
            				"|en|Mililiter per second"									\
            				"|de|Mililiter / Sekunde" 									\
            				},   																				\
          { 246,  "|en|ml/min"																	\
          				"|de|ml/min",                       					\
            				"|en|Mililiter per minute"									\
            				"|de|Mililiter / Minute" 										\
            				},       																		\
            UNITS_CODE (24 ),         /* l/s   */								\
            UNITS_CODE (17 ),         /* l/m   */								\
            UNITS_CODE (138),         /* l/h   */								\
                                                                \
            UNITS_CODE (28 ),         /* m3/s  */								\
            UNITS_CODE (131),         /* m3/m  */								\
            UNITS_CODE (19 ),         /* m3/h  */								\
            UNITS_CODE (29 ),         /* m3/d  */								\
                                                                \
            UNITS_CODE (137),         /* igl/s */								\
            UNITS_CODE (18 ),         /* igl/m */								\
            UNITS_CODE (30 ),         /* igl/h */								\
            UNITS_CODE (31 ),         /* igl/d */								\
                                                                \
            UNITS_CODE (22),          /* usgps */								\
            UNITS_CODE (16 ),         /* usgpm */								\
            UNITS_CODE (136),         /* usgph */								\
            UNITS_CODE (23),          /* usmgd */								\
                                                                \
            UNITS_CODE (132),         /* bbl/s */								\
            UNITS_CODE (133),         /* bbl/m */								\
            UNITS_CODE (134),         /* bbl/h */								\
            UNITS_CODE (135),         /* bbl/d */								\
                                                                \
            UNITS_CODE (70 ),         /* g/s  */								\
            UNITS_CODE (71 ),         /* g/m  */								\
            UNITS_CODE (72 ),         /* g/h  */								\
                                                                \
            UNITS_CODE (73 ),         /* kg/s */								\
            UNITS_CODE (74 ),         /* kg/m */								\
            UNITS_CODE (75 ),         /* kg/h */								\
            UNITS_CODE (76 ),         /* kg/d */								\
                                                                \
            UNITS_CODE (77 ),         /* t/m  */								\
            UNITS_CODE (78 ),         /* t/h  */								\
            UNITS_CODE (79 ),         /* t/d  */								\
                                                                \
            UNITS_CODE (80 ),         /* lb/s */								\
            UNITS_CODE (81 ),         /* lb/m */								\
            UNITS_CODE (82 ),         /* lb/h */								\
            UNITS_CODE (83 ),         /* lb/d */								\
                                                                \
          { 240,  "|en|spcl/s"																	\
          				"|de|spzl/s",																	\
            				"|en|programable unit per second" 					\
            				"|de|programmierbare Einheit / Sekunde" 		\
            				},																					\
          { 241,  "|en|spcl/min"																\
          				"|de|spzl/min",                   						\
            				"|en|programable unit per minute"						\
            				"|de|programmierbare Einheit / Minute" 			\
            				}, 																					\
          { 242,  "|en|spcl/h"																	\
          				"|de|spzl/h",                       					\
            				"|en|programable unit per hour"							\
            				"|de|programmierbare Einheit / Stunde" 			\
            				},   																				\
          { 243,  "|en|spcl/day"																\
          				"|de|spzl/Tag",                   						\
            				"|en|programable unit per day"							\
            				"|de|programmierbare Einheit / Tag" 				\
            				}   																				\


#define			EinheitZv       																		\
          { 247,  "|en|ml"																			\
          				"|de|ml",                        							\
            				"|en|Mililiter"															\
            				"|de|Mililiter" 														\
            				}        																		\
            UNITS_CODE (41 ),         /* l        */						\
            UNITS_CODE (43 ),         /* m3       */						\
            UNITS_CODE (42 ),         /* igal     */						\
            UNITS_CODE (40 ),         /* usgal    */						\
            UNITS_CODE (46 ),         /* bbl      */						\
            UNITS_CODE (60 ),         /* g        */						\
            UNITS_CODE (61 ),         /* kg       */						\
            UNITS_CODE (62 ),         /* t        */						\
            UNITS_CODE (63 ),         /* lb       */						\
          { 244,  "|en|spcl"																		\
          				"|de|spzl",																		\
            				"|en|programable unit"											\
            				"|de|programmierbare Einheit" 							\
            				} 																					\


#define			Fliessrichtung  																		\
          { 0,  "|en|Forward/Reverse"				            				\
          			"|de|Vor/Rcklauf"															\
          			},																							\
          { 1,  "|en|Forward"								            				\
          			"|de|Vorlauf"																		\
          			}																								\

#define			Richtungsanzeige 																		\
          { 0,  "|en|Standard"							            				\
          			"|de|Normal"																		\
          			},																							\
          { 1,  "|en|Inverse"								            				\
          			"|de|Invers"																		\
          			}																								\

#define			Netzfrequenz		 																		\
          { 0,  "50 Hz"		},																		\
          { 1,  "60 Hz"		}																			\

#define			AufnehmerTyp		 																		\
          { 0,  "Primary 70Hz"		},														\
          { 1,  "Oldprim. 50 Hz"	},														\
          { 2,  "Oldprim. 60 Hz"	}															\

#define			Treiber					 																		\
          { 0,  "Regularization"		},													\
          { 1,  "Controller"				}														\


#define			AufnehmerType		 																		\
				IF (ucAufnehmerTyp == 0) /* neuer Aufnehmer */					\
				{																												\
          { 0,  "SE2_,SE4_"				}															\
				}																												\
				ELSE																										\
				{																												\
          { 1,  "DS2_"						},														\
          { 2,  "DS4_"						},														\
          { 3,  "10DS3111(A-C)"		},														\
          { 4,  "10DS3111(E- )"		},														\
          { 5,  "10D1422"					},														\
          { 6,  "10D1425"					},														\
          { 7,  "10DS3111 D"			},														\
          { 8,  "|en|none"									            				\
          			"|de|ohne"																			\
          			}																								\
        }

#define			LowHighAlarm		 																		\
          { 0,  "High Alarm"			},														\
          { 1,  "Low Alarm"				}															\
          
#define			LowHigh0ProzentAlarm																\
          { 1,  "Low Alarm"				},														\
          { 0,  "High Alarm"			},														\
          { 2,  "0%"							}
          
          
#define			ArtStromausgang	 																		\
          { 0,  "0-20 mA"					},														\
          { 1,  "4-20 mA"					},														\
          { 2,  "0-10 mA"					},														\
          { 3,  "2-10 mA"					}															\
          
#define			ArtSchalteingang 																		\
          { 0,  "|en|No Function"						            				\
          			"|de|Keine Funktion"														\
          			},																							\
          { 2,  "|en|Totalizer reset"				            				\
          			"|de|Zhler Reset"															\
          			},																							\
          { 1,  "|en|Zero return"								            		\
          			"|de|Ext.Abschaltg."														\
          			}																								\
          			

#define			ArtSchaltausgang 																		\
				IF (ucDlrEinAus == 1) 		/* DLR ist eingeschaltet */		\
				{																												\
          { 0,  "|en|No Function"						            				\
          			"|de|kein"																			\
          			},																							\
          { 1,  "|en|F/R-Signal /_"					            				\
          			"|de|V/R-Signal /_"															\
          			},																							\
          { 13, "|en|F/R-Signal __"					            				\
          			"|de|V/R-Signal __"															\
          			},																							\
          { 4,  "|en|General-Alarm /_"			            				\
          			"|de|General-Alarm /_"													\
          			},																							\
          { 5,  "|en|General-Alarm __"			            				\
          			"|de|General-Alarm __"													\
          			},																							\
          { 6,  "|en|Max/Min Alarm /_"			            				\
          			"|de|Max/Min Alarm /_"													\
          			},																							\
          { 7,  "|en|Max/Min Alarm __"			            				\
          			"|de|Max/Min Alarm __"													\
          			},																							\
          { 8,  "|en|Min Alarm /_"			      		      				\
          			"|de|Min Alarm /_"															\
          			},																							\
          { 9,  "|en|Min Alarm __"			  		          				\
          			"|de|Min Alarm __"															\
          			},																							\
          { 10, "|en|Max Alarm /_"			            						\
          			"|de|Max Alarm /_"															\
          			},																							\
          { 11, "|en|Max Alarm __"			            						\
          			"|de|Max Alarm __"															\
          			}																								\
          ,{ 2,  "|en|Empty pipe /_"			           						\
          			"|de|Leeres Rohr /_"														\
          			} 																							\
          ,{ 3,  "|en|Empty pipe __"			           						\
          			"|de|Leeres Rohr __"														\
          			}																								\
				}																												\
				ELSE																										\
				{																												\
          { 0,  "|en|No Function"						            				\
          			"|de|kein"																			\
          			},																							\
          { 1,  "|en|F/R-Signal /_"					            				\
          			"|de|V/R-Signal /_"															\
          			},																							\
          { 13, "|en|F/R-Signal __"					            				\
          			"|de|V/R-Signal __"															\
          			},																							\
          { 4,  "|en|General-Alarm /_"			            				\
          			"|de|General-Alarm /_"													\
          			},																							\
          { 5,  "|en|General-Alarm __"			            				\
          			"|de|General-Alarm __"													\
          			},																							\
          { 6,  "|en|Max/Min Alarm /_"			            				\
          			"|de|Max/Min Alarm /_"													\
          			},																							\
          { 7,  "|en|Max/Min Alarm __"			            				\
          			"|de|Max/Min Alarm __"													\
          			},																							\
          { 8,  "|en|Min Alarm /_"			      		      				\
          			"|de|Min Alarm /_"															\
          			},																							\
          { 9,  "|en|Min Alarm __"			  		          				\
          			"|de|Min Alarm __"															\
          			},																							\
          { 10, "|en|Max Alarm /_"			            						\
          			"|de|Max Alarm /_"															\
          			},																							\
          { 11, "|en|Max Alarm __"			            						\
          			"|de|Max Alarm __"															\
          			}																								\
				}
          			

#define			ProgEinheit																					\
          { 0,  "|en|without density"				            				\
          			"|de|ohne Dichte"																\
          			},																							\
          { 1,  "|en|with density"					            				\
          			"|de|mit Dichte"																\
          			}																								\
          			
          		

#define			Schnittstelle																				\
          { 0,  "|en|no Function"				        		    				\
          			"|de|ohne"																			\
          			},																							\
          { 1,  "|en|HART"									            				\
          			"|de|HART"																			\
          			}																								\
          			
          		
#define			EinheitDichte    																		\
            UNITS_CODE (91 ),         /* g/cm3   */							\
            UNITS_CODE (95 ),         /* g/ml    */							\
            UNITS_CODE (97 ),         /* g/l     */							\
            UNITS_CODE (96 ),         /* kg/l    */							\
            UNITS_CODE (92 ),         /* kg/m3   */							\
            UNITS_CODE (94 ),         /* lb/ft3  */							\
            UNITS_CODE (93 )          /* lb/ugl  */							\
            

#define			ImpulsAktPas    																		\
          { 0,  "|en|activ"									            				\
          			"|de|aktiv"																			\
          },																										\
          { 1,  "|en|passive"								            				\
          			"|de|passiv"																		\
          }																											\
          			

#define			DlrArt				   																		\
          { 0,  "|en|Standard"							            				\
          			"|de|Standard"																	\
          },																										\
          { 1,  "|en|New Adjust"						            				\
          			"|de|Neuer Abgleich"														\
          }																											\
          			
#define			AKTVARIANTE																					\
          { 0,  "|en|Puls active\nnot Hart"				       				\
          			"|de|Puls aktiv \nohne Hart"			  						\
          },																										\
          { 1,  "|en|Puls active\nwith Hart"				     				\
          			"|de|Puls aktiv \nmit Hart"			 		 						\
          },																										\
          { 2,  "|en|Puls passive\nnot Hart"				      			\
          			"|de|Puls passiv \nohne Hart"			  						\
          },																										\
          { 3,  "|en|Puls passive\nwith Hart"				      			\
          			"|de|Puls passiv \nmit Hart"			  						\
          }				 																							\
          			
#define			STARTUPTTLSERVICE																		\
          { 0,  "|en|START-HART-TTL"				            				\
          			"|de|START-HART-TTL"														\
          			},																							\
          { 1,  "|en|START-ASCII-TTL"				            				\
          			"|de|START-ASCII-TTL"														\
          			}																								\
          			
#define			TTLSERVICE																					\
          { 0,  "|en|HART-TTL"							            				\
          			"|de|HART-TTL"																	\
          			},																							\
          { 1,  "|en|ASCII-TTL"				      			      				\
          			"|de|ASCII-TTL"																	\
          			},																							\
          { 2,  "|en|Display on"			            							\
          			"|de|Display on"																\
          			}																								\
          			

#define			multiplex_off															\
    					{  14,  "off"             }


#define			excitation_mode														\
        			{   0,  "6.25 Hz AC/DC"  },							\
        			{   1,  "7.5 Hz AC/DC"   },							\
        			{   2,  "12.5 Hz AC/DC"  },							\
        			{   3,  "15 Hz AC/DC"    },							\
        			{   4,  "25 Hz AC/DC"    },							\
        			{   5,  "30 Hz AC/DC"    },							\
        			{   6,  "6.25 Hz DC"     },							\
        			{   7,  "7.5 Hz DC"      },							\
        			{   8,  "12.5 Hz DC"     },							\
        			{   9,  "15 Hz DC"       },							\
        			{  10,  "25 Hz DC"       },							\
        			{  11,  "30 Hz DC"       },							\
        			{  12,  "negativ"        },							\
        			{  13,  "positiv"        } 

                          
                          
